Bug 67360 - (SOUND AD1848)ad1848 causes infinite loop
(SOUND AD1848)ad1848 causes infinite loop
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-23 10:48 EDT by Gerald Teschl
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to ad1848.c (339 bytes, patch)
2002-08-24 17:29 EDT, Gerald Teschl
no flags Details | Diff

  None (edit)
Description Gerald Teschl 2002-06-23 10:48:37 EDT
with the new kernel-2.4.18-4 my laptop will lock up during boot.
The problem is caused by the ad1848 module. When I try to lood this
module it fails to auto-configure the sound card (opl3sa4, which is
a known problem: #49942). But then it runs trough the init setup in
an infinite loop blocking the kernel. In particular it prints the
"failed to activate card ..." over and over again on the console.
Comment 1 Gerald Teschl 2002-06-23 10:55:15 EDT
Sorry, the problem is with kernel-2.4.18-5, both kernel-2.4.18-{3,4} don't
have this problem.
Comment 2 Gerald Teschl 2002-07-17 10:41:32 EDT
Same problem occures with 2.4.18-5.58 and 2.4.18-5.73.
The kernel prints

ad1848: OPL3-SA2 WSS mode ad1848 config failed (out of resources?)[-2]

in an infinite loop.
Comment 3 Gerald Teschl 2002-08-21 11:57:46 EDT
Still broken in null (2.4.18-12)
Comment 4 Gerald Teschl 2002-08-24 17:28:24 EDT
I think I found the problem. Patch is attached.
Comment 5 Gerald Teschl 2002-08-24 17:29:09 EDT
Created attachment 72785 [details]
patch to ad1848.c
Comment 6 Alan Cox 2002-08-25 11:26:18 EDT
Apparently not the right fix from the linux-kernel discussion. Right problem,
still needs a fix though
Comment 7 Bugzilla owner 2004-09-30 11:39:41 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.